module Irc
  module Config
    @@datadir = nil

    # first try for the default path to the data dir    
    defaultdir = File.expand_path(File.dirname($0) + '/../data')

    if File.directory? "#{defaultdir}/rbot"
      @@datadir = "#{defaultdir}/rbot"
    end
    
    # setup pkg-based configuration - i.e. where were we installed to, where
    # are our data files, etc.
    if @@datadir.nil?
      begin
        require 'rbot/pkgconfig'
        @@datadir = PKGConfig::DATADIR
      rescue LoadError
        error "fatal - no way to determine data dir"
        exit 2
      end
    end
    
    def Config.datadir
      @@datadir
    end
  end
end
